pam_krb5_cchelper(8)

NAME
/usr/lib64/security/pam_krb5/pam_krb5_cchelper - Credential cache helper

SYNOPSIS
pam_krb5_cchelper [-c|-u|-d] [ccname] [uid] [gid]

DESCRIPTION
The pam_krb5.so module uses pam_krb5_cchelper to create, update, and remove credential caches.

ARGUMENTS

-c|-u|-d
    A flag indicating whether the helper is expected to create, update, or destroy a ccache. When creating a ccache, the ccname argument should be a name or a pattern ending in XXXXXX. When updating or deleting a ccache, the ccname argument should be the name of an extant ccache.

ccname
    A credential cache name or name pattern of the form TYPE:/tmp/foo or TYPE:/tmp/fooXXXXXX.

uid An optional numeric UID which the helper will attempt to switch to before creating a ccache. The helper continues in its task if the attempt fails.

gid An optional numeric GID which the helper will attempt to switch to before creating a ccache. The helper continues in its task if the attempt fails.

OPERATION
The helper will read contents from its standard input.
If input of suitable length is not read, the specified credential cache is deleted.
If input of suitable length is read, a temporary file is created and the input is stored to the file. If TYPE is FILE, the file's name will be based on the pattern and the name of this new credential cache will be printed. If TYPE is not FILE, a new credential cache will be created and the contents of the temporary file will be treated as a credential cache whose contents will be copied into the new credential cache, whose name will be printed.

FILES
/usr/lib64/security/pam_krb5.so

SEE ALSO
mkstemp(3) pam_krb5(5) pam_krb5(8)

BUGS
Probably, but let's hope not. If you find any, please file them in the bug database at http://bugzilla.redhat.com/ against the "pam_krb5" component.

AUTHOR
Nalin Dahyabhai <nalin@redhat.com>